Page MenuHomePhabricator

Pre MW 1.21 deprecation cleanup
Closed, ResolvedPublic

Description

Tracking for stuff that was deprecated pre MW 1.20 and the necessary cleanup related to them that still need to be done

@Florian and I have done quite a lot this weekend, but still quite a lot to do

List of deprecated functions (generated with the findDeprecated.php maintenance script at 03. Jan 2016, 02:16 UTC):

  • Deprecated since 1.22:
    • OutputPage::out (includes/OutputPage.php:2338)
    • Skin::commonPrintStylesheet (includes/skins/Skin.php:1371)

Details

Related Gerrit Patches:
mediawiki/core : masterRemove Xml::escapeJsString()
mediawiki/core : masterRemove DifferenceEngine::generateDiffBody()
mediawiki/extensions/Maps : masterRemove usage of Xml::escapeJSString()
mediawiki/extensions/CommunityVoice : masterReplace usage of Xml::escapeJSString()
mediawiki/core : masterRemove Title::newFromRedirectRecurse()
mediawiki/core : masterRemove Title::newFromRedirectArray
mediawiki/extensions/AbuseFilter : masterRemove usage of DifferenceEngine::generateDiffBody()
mediawiki/extensions/FlaggedRevs : masterRemove usage of DiffEngine::generateDiffBody()
mediawiki/extensions/Premoderation : masterRemove usage of generateDiffBody()
mediawiki/core : masterDifferenceEngine::setText() was removed
mediawiki/extensions/ClientSide : masterRemove usage of Xml::escapeJSString()
mediawiki/extensions/FlaggedRevs : masterRemove usage of Title::newFromRedirectRecurse()
mediawiki/extensions/BlueSpiceFoundation : masterRemove usage of Title::newFromRedirectRecurse()
mediawiki/extensions/Collection : masterRemove usage of Title::newFromRedirectRecurse()
mediawiki/extensions/MassEditRegex : masterReplace deprecated setText() call
mediawiki/core : masterArticle::getUndoText() and WikiPage::getUndoText were removed
mediawiki/extensions/FlaggedRevs : masterReplace getUndoText() call
mediawiki/extensions/BlueSpiceFoundation : masterRemove usage of Title::newFromRedirectArray()
mediawiki/core : masterLoadBalancer::pickRandom() was removed
mediawiki/core : masterRemove Title::newFromRedirect()
mediawiki/core : masterRemove (WikiPage|Article)::replaceSection()
mediawiki/extensions/BlueSpiceFoundation : masterRemove usage of Title::newFromRedirect()
mediawiki/core : masterRemove MediaWikiSite::newFromGlobalId (deprecated since 1.21)
mediawiki/extensions/LiquidThreads : masterRemove usage of Title::newFromRedirect()
mediawiki/core : masterApiPageSet::finishPageSetGeneration() was removed
mediawiki/extensions/SemanticForms : masterRemove usage of Title::newFromRedirect()
mediawiki/extensions/WikiArticleFeeds : masterRemove usage of Title::newFromRedirect
mediawiki/core : masterRemoved ApiMain::(getFormats|addFormat|addModule|getShowVersions).
mediawiki/extensions/WikimediaMaintenance : masterRemove usage of Title::newFromRedirect()
mediawiki/extensions/BlueSpiceExtensions : masterReplace Article::replaceSection usage with Article::replaceSectionAtRev
mediawiki/core : masterRemove $wgCopyrightIcon
mediawiki/core : masterRemove Revision::getRawText()
operations/mediawiki-config : masterRemove $wgCopyrightIcon
mediawiki/core : masterUserrightsPage::makeGroupNameListForLog() was removed
mediawiki/extensions/WikiObjectModel : masterReplace Title::userIsWatching
mediawiki/extensions/SemanticResultFormats : masterReplace usages of WikiPage::getRawText
mediawiki/extensions/RPED : masterReplace usages of Revision::getRawText
mediawiki/extensions/PagedTiffHandler : masterRemove makeImageLink2 comment
mediawiki/extensions/IfTemplates : masterReplace usages of WikiPage::getRawText
mediawiki/extensions/EtherEditor : masterReplace usages of WikiPage::getRawText
mediawiki/extensions/Checkpoint : masterReplace usages of WikiPage::getRawText
mediawiki/extensions/SemanticMediaWiki : masterReplace usages of Revision::getRawText
mediawiki/core : masterRemove WikiPage::getRawText()
mediawiki/core : masterRemove User::generateToken()
mediawiki/extensions/PureWikiDeletion : masterReplace usages of Revision::getRawText
mediawiki/extensions/OpenStackManager : masterReplace usages of WikiPage::getRawText
mediawiki/extensions/NewUserMessage : masterReplace usages of WikiPage::getRawText
mediawiki/extensions/ConfirmAccount : masterReplace User::generateToken with MWCryptRand::generateHex( 32 )
mediawiki/extensions/SocialLogin : masterReplace User::generateToken with MWCryptRand::generateHex( 32 )
mediawiki/extensions/LiquidThreads : masterReplace usages of Revision::getRawText
mediawiki/extensions/SemanticForms : masterReplace usages of WikiPage::getRawText
mediawiki/extensions/FlaggedRevs : masterReplace usages of Revision::getRawText
mediawiki/core : masterRemove FileRepo::getRootUrl()
labs/tools/heritage : masterReplace Title::userIsWatching
mediawiki/core : masterRemove deprecated Title::userIsWatching
wikimedia/wlm-api : masterReplace Title::userIsWatched
mediawiki/extensions/SemanticForms : masterReplace Title::userIsWatching
mediawiki/core : masterRemove Linker::makeImageLink2
mediawiki/extensions/Wikilog : masterRemove makeImageLink2 usage
mediawiki/extensions/WYSIWYG : masterRemove Linker::makeImageLink2 usage
mediawiki/skins/webplatform : masterReplace Title::userisWatching
mediawiki/skins/BlueSpiceSkin : masterReplace Title::userIsWatching
mediawiki/skins/Synagonism : masterReplace Title::userIsWatched
mediawiki/skins/mediawiki-strapping : masterReplace Title::userIsWatching
mediawiki/skins/BlueSky : masterReplace Title::userIsWatching
mediawiki/extensions/FlaggedRevs : masterReplace Title::userIsWatching()
mediawiki/extensions/LiquidThreads : masterReplace Title::userIsWatching
mediawiki/skins/Nimbus : masterReplace Title::userIsWatching
mediawiki/extensions/Configure : masterRemove $wgCopyrightIcon

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 276051 had a related patch set uploaded (by Florianschmidtwelzow):
UserrightsPage::makeGroupNameListForLog() was removed

https://gerrit.wikimedia.org/r/276051

Florian updated the task description. (Show Details)Mar 10 2016, 5:04 PM

Change 276051 merged by jenkins-bot:
UserrightsPage::makeGroupNameListForLog() was removed

https://gerrit.wikimedia.org/r/276051

Florian updated the task description. (Show Details)Apr 1 2016, 6:41 PM

Change 261999 merged by jenkins-bot:
Remove $wgCopyrightIcon

https://gerrit.wikimedia.org/r/261999

Change 263914 merged by jenkins-bot:
Remove Revision::getRawText()

https://gerrit.wikimedia.org/r/263914

Change 262001 merged by jenkins-bot:
Remove $wgCopyrightIcon

https://gerrit.wikimedia.org/r/262001

Florian updated the task description. (Show Details)Apr 1 2016, 7:29 PM

Change 280962 had a related patch set uploaded (by Florianschmidtwelzow):
Remove MediaWikiSite::newFromGlobalId (deprecated since 1.21)

https://gerrit.wikimedia.org/r/280962

Florian updated the task description. (Show Details)Apr 1 2016, 7:33 PM
Reedy updated the task description. (Show Details)Apr 1 2016, 7:35 PM

Change 280963 had a related patch set uploaded (by Florianschmidtwelzow):
Removed ApiMain::(getFormats|addFormat|addModule|getShowVersions).

https://gerrit.wikimedia.org/r/280963

Change 280964 had a related patch set uploaded (by Reedy):
ApiPageSet::finishPageSetGeneration() was removed

https://gerrit.wikimedia.org/r/280964

Change 280965 had a related patch set uploaded (by Florianschmidtwelzow):
Replace Article::replaceSection usage with Article::replaceSectionAtRev

https://gerrit.wikimedia.org/r/280965

Change 280966 had a related patch set uploaded (by Florianschmidtwelzow):
Remove (WikiPage|Article)::replaceSection()

https://gerrit.wikimedia.org/r/280966

Florian updated the task description. (Show Details)Apr 1 2016, 8:00 PM

Change 280970 had a related patch set uploaded (by Florianschmidtwelzow):
Remove usage of Title::newFromRedirect()

https://gerrit.wikimedia.org/r/280970

Change 280963 merged by jenkins-bot:
Removed ApiMain::(getFormats|addFormat|addModule|getShowVersions).

https://gerrit.wikimedia.org/r/280963

Change 280964 merged by jenkins-bot:
ApiPageSet::finishPageSetGeneration() was removed

https://gerrit.wikimedia.org/r/280964

Change 280965 merged by jenkins-bot:
Replace Article::replaceSection usage with Article::replaceSectionAtRev

https://gerrit.wikimedia.org/r/280965

Change 280970 merged by jenkins-bot:
Remove usage of Title::newFromRedirect()

https://gerrit.wikimedia.org/r/280970

Change 280973 had a related patch set uploaded (by Florianschmidtwelzow):
Remove usage of Title::newFromRedirect()

https://gerrit.wikimedia.org/r/280973

Change 280975 had a related patch set uploaded (by Florianschmidtwelzow):
Remove usage of Title::newFromRedirect

https://gerrit.wikimedia.org/r/280975

Change 280976 had a related patch set uploaded (by Reedy):
LoadBalancer::pickRandom() was removed

https://gerrit.wikimedia.org/r/280976

Change 281001 had a related patch set uploaded (by Florianschmidtwelzow):
Remove usage of Title::newFromRedirect()

https://gerrit.wikimedia.org/r/281001

Change 280962 merged by jenkins-bot:
Remove MediaWikiSite::newFromGlobalId (deprecated since 1.21)

https://gerrit.wikimedia.org/r/280962

Change 280975 merged by jenkins-bot:
Remove usage of Title::newFromRedirect

https://gerrit.wikimedia.org/r/280975

Change 281022 had a related patch set uploaded (by Florianschmidtwelzow):
Remove usage of Title::newFromRedirect()

https://gerrit.wikimedia.org/r/281022

Change 280973 merged by jenkins-bot:
Remove usage of Title::newFromRedirect()

https://gerrit.wikimedia.org/r/280973

Change 281024 had a related patch set uploaded (by Florianschmidtwelzow):
Remove Title::newFromRedirect()

https://gerrit.wikimedia.org/r/281024

Florian updated the task description. (Show Details)Apr 1 2016, 8:33 PM

Change 281022 merged by jenkins-bot:
Remove usage of Title::newFromRedirect()

https://gerrit.wikimedia.org/r/281022

Change 280966 merged by Reedy:
Remove (WikiPage|Article)::replaceSection()

https://gerrit.wikimedia.org/r/280966

Change 281001 merged by jenkins-bot:
Remove usage of Title::newFromRedirect()

https://gerrit.wikimedia.org/r/281001

Change 281024 merged by Reedy:
Remove Title::newFromRedirect()

https://gerrit.wikimedia.org/r/281024

Krinkle updated the task description. (Show Details)Apr 2 2016, 12:34 AM

Change 280976 merged by jenkins-bot:
LoadBalancer::pickRandom() was removed

https://gerrit.wikimedia.org/r/280976

Reedy updated the task description. (Show Details)Apr 2 2016, 8:07 AM
Reedy updated the task description. (Show Details)
Florian updated the task description. (Show Details)Apr 2 2016, 8:10 AM

Change 281085 had a related patch set uploaded (by Florianschmidtwelzow):
Remove usage of Title::newFromRedirectArray()

https://gerrit.wikimedia.org/r/281085

Change 281086 had a related patch set uploaded (by Reedy):
Replace deprecated setText() call

https://gerrit.wikimedia.org/r/281086

Change 281087 had a related patch set uploaded (by Florianschmidtwelzow):
Remove Title::newFromRedirectArray

https://gerrit.wikimedia.org/r/281087

Florian updated the task description. (Show Details)Apr 2 2016, 8:19 AM

Change 281089 had a related patch set uploaded (by Reedy):
DifferenceEngine::setText() was removed

https://gerrit.wikimedia.org/r/281089

Change 281090 had a related patch set uploaded (by Florianschmidtwelzow):
Remove usage of Title::newFromRedirectRecurse()

https://gerrit.wikimedia.org/r/281090

Change 281085 merged by jenkins-bot:
Remove usage of Title::newFromRedirectArray()

https://gerrit.wikimedia.org/r/281085

Change 281092 had a related patch set uploaded (by Florianschmidtwelzow):
Remove usage of Title::newFromRedirectRecurse()

https://gerrit.wikimedia.org/r/281092

Change 281093 had a related patch set uploaded (by Florianschmidtwelzow):
Remove usage of Title::newFromRedirectRecurse()

https://gerrit.wikimedia.org/r/281093

Change 281094 had a related patch set uploaded (by Reedy):
Replace getUndoText() call

https://gerrit.wikimedia.org/r/281094

Change 281095 had a related patch set uploaded (by Florianschmidtwelzow):
Remove Title::newFromRedirectRecurse()

https://gerrit.wikimedia.org/r/281095

Change 281096 had a related patch set uploaded (by Reedy):
Article::getUndoText() and WikiPage::getUndoText were removed

https://gerrit.wikimedia.org/r/281096

Change 281094 merged by jenkins-bot:
Replace getUndoText() call

https://gerrit.wikimedia.org/r/281094

Change 281096 merged by jenkins-bot:
Article::getUndoText() and WikiPage::getUndoText were removed

https://gerrit.wikimedia.org/r/281096

Change 281086 merged by jenkins-bot:
Replace deprecated setText() call

https://gerrit.wikimedia.org/r/281086

Change 281102 had a related patch set uploaded (by Florianschmidtwelzow):
Remove usage of Xml::escapeJSString()

https://gerrit.wikimedia.org/r/281102

Change 281103 had a related patch set uploaded (by Florianschmidtwelzow):
Replace usage of Xml::escapeJSString()

https://gerrit.wikimedia.org/r/281103

Change 281104 had a related patch set uploaded (by Florianschmidtwelzow):
Remove usage of Xml::escapeJSString()

https://gerrit.wikimedia.org/r/281104

Change 281107 had a related patch set uploaded (by Florianschmidtwelzow):
Remove Xml::escapeJsString()

https://gerrit.wikimedia.org/r/281107

Florian updated the task description. (Show Details)Apr 2 2016, 9:25 AM

Change 281090 merged by jenkins-bot:
Remove usage of Title::newFromRedirectRecurse()

https://gerrit.wikimedia.org/r/281090

Change 281089 merged by jenkins-bot:
DifferenceEngine::setText() was removed

https://gerrit.wikimedia.org/r/281089

Change 281092 merged by jenkins-bot:
Remove usage of Title::newFromRedirectRecurse()

https://gerrit.wikimedia.org/r/281092

Change 281093 merged by jenkins-bot:
Remove usage of Title::newFromRedirectRecurse()

https://gerrit.wikimedia.org/r/281093

Change 281102 merged by jenkins-bot:
Remove usage of Xml::escapeJSString()

https://gerrit.wikimedia.org/r/281102

Change 281103 merged by jenkins-bot:
Replace usage of Xml::escapeJSString()

https://gerrit.wikimedia.org/r/281103

Change 281104 merged by jenkins-bot:
Remove usage of Xml::escapeJSString()

https://gerrit.wikimedia.org/r/281104

Change 281130 had a related patch set uploaded (by Florianschmidtwelzow):
Add b/c check for DiffEngine::generateTextDiffBody()

https://gerrit.wikimedia.org/r/281130

Change 281132 had a related patch set uploaded (by Florianschmidtwelzow):
Remove usage of generateDiffBody()

https://gerrit.wikimedia.org/r/281132

Change 281133 had a related patch set uploaded (by Florianschmidtwelzow):
Remove usage of DiffEngine::generateDiffBody()

https://gerrit.wikimedia.org/r/281133

Change 281134 had a related patch set uploaded (by Florianschmidtwelzow):
Remove DifferenceEngine::generateDiffBody()

https://gerrit.wikimedia.org/r/281134

Change 281132 merged by Reedy:
Remove usage of generateDiffBody()

https://gerrit.wikimedia.org/r/281132

Florian updated the task description. (Show Details)Apr 2 2016, 12:59 PM

Change 281133 merged by jenkins-bot:
Remove usage of DiffEngine::generateDiffBody()

https://gerrit.wikimedia.org/r/281133

Change 281130 merged by jenkins-bot:
Remove usage of DifferenceEngine::generateDiffBody()

https://gerrit.wikimedia.org/r/281130

Florian updated the task description. (Show Details)Apr 2 2016, 1:29 PM
Florian updated the task description. (Show Details)

Change 281087 merged by jenkins-bot:
Remove Title::newFromRedirectArray

https://gerrit.wikimedia.org/r/281087

Florian updated the task description. (Show Details)Apr 2 2016, 9:08 PM

Change 281095 merged by jenkins-bot:
Remove Title::newFromRedirectRecurse()

https://gerrit.wikimedia.org/r/281095

Florian updated the task description. (Show Details)Jul 31 2016, 10:38 PM

Change 281134 merged by jenkins-bot:
Remove DifferenceEngine::generateDiffBody()

https://gerrit.wikimedia.org/r/281134

Florian updated the task description. (Show Details)Aug 1 2016, 6:08 AM

Change 281107 abandoned by Florianschmidtwelzow:
Remove Xml::escapeJsString()

https://gerrit.wikimedia.org/r/281107

Change 261997 abandoned by Krinkle:
Remove $wgCopyrightIcon

Reason:
Repo is read-only, marked as "To be deleted".

https://gerrit.wikimedia.org/r/261997

MaxSem updated the task description. (Show Details)Mar 17 2018, 12:22 AM
Krinkle closed this task as Resolved.Sep 19 2018, 7:53 PM
Krinkle claimed this task.
Krinkle updated the task description. (Show Details)